package ignite.sample;

import java.io.IOException;
import java.io.PrintWriter;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

public class HelloIgnite extends HttpServlet {

	public void doGet(HttpServletRequest request, HttpServletResponse response)
			throws IOException, ServletException
		{
		response.setContentType("text/html");

		PrintWriter out = response.getWriter();

		// HTML
		out.println("<!DOCTYPE html>");
		out.println("<html lang=\"ja\">");
		out.println("<head>");
		out.println("    <meta charset=\"UTF-8\" />");
		out.println("    <title>HelloIgnite</title>");
		out.println("	 <script src='http://ajax.aspnetcdn.com/ajax/modernizr/modernizr-2.8.3.js'></script>");
		out.println("    <script src='http://code.jquery.com/jquery-1.11.3.min.js'></script>");
		out.println("    <script src='http://code.jquery.com/ui/1.11.1/jquery-ui.min.js'></script>");
		out.println("    <!-- Ignite UI Required Combined CSS Files -->");
		out.println("    <link href='http://cdn-na.infragistics.com/igniteui/2019.2/latest/css/themes/infragistics/infragistics.theme.css' rel='stylesheet' />");
		out.println("    <link href='http://cdn-na.infragistics.com/igniteui/2019.2/latest/css/structure/infragistics.css' rel='stylesheet' />");
		out.println("    <!-- Ignite UI Required Combined JavaScript Files -->");
		out.println("    <script src='http://cdn-na.infragistics.com/igniteui/2019.2/latest/js/infragistics.core.js'></script>");
		out.println("    <script src='http://cdn-na.infragistics.com/igniteui/2019.2/latest/js/infragistics.lob.js'></script>");
		out.println("</head>");
		out.println("<body>");
		out.println("    <table id='grid'></table>");
		out.println("    <script>");
		out.println("        $(function () {");
		out.println("            var data = [");
		out.println("                      { 'Name': 'John Smith', 'Age': 45 },");
		out.println("                      { 'Name': 'Mary Johnson', 'Age': 32 },");
		out.println("                      { 'Name': 'Bob Ferguson', 'Age': 27 }");
		out.println("                ];");
		out.println("            $('#grid').igGrid({");
		out.println("                dataSource: data,");
		out.println("            });");
		out.println("        });");
		out.println("    </script>");
		out.println("</body>");
		out.println("</html>");


	}
}

